Jaký Linux vs. starý NTB (především starý CPU)

Linux, Unix, BSD systémy, distribuce, open source

Moderátor: Moderátoři Živě.cz

Odeslat příspěvekod mikik 9. 7. 2020 10:43

Měl jsem takový OT nápad. Vlastním starý NTB DELL Latitude X1 (jsou na něm ještě WinXP). A je mi jasné, že v době tabletů apod. je to ujeta myslenka, ale napadlo mě, že bych ho přepsal nějakým Linuxem a mohl používat jako takový cestovní prohlížecí... Vypadá ještě fakt výborně.
No a tu jsem narazil. Na svém desktopu mám jako druhý systém Ubuntu. Ale chtěl jsem něco malého, rychlého, aby to zvládal i tento dědeček. Tak jsem si našel Linux Lite 5.0 (Linux pouzivam spíše uživatelský). V min. Konfiguraci nebyl problém. Jenže při bootovani (naštěstí jsem ho chtěl nejdříve vyzkoušet jen spuštěním bez instalace) jsem narazil na hlášku o kernelu. Odvodil jsem si z ní, že odmítá pracovat s x64 instrukcemi, když CPU je jen x86. OK, stáhnul jsem poslední 32bit verzi (je to 3.8). A tady zase hláška o TMA (není 100% jisté, jen maně vybavují).
CPU ve zmiňovaném NTB je Pentium M 1,1GHz. Je hloupé, že do požadované min. konfigurace není zahrnut i CPU.
A teď otázka: Nevěděl by někdo z místních znalců Linuxu zda je reálná původní myšlenka - lehky, nenáročný Linux, který by spolupracoval s tímto starým NTB jemuž záruka skončila 2009? A případně který a v jaké verzi? Diky
mikik
Kolemjdoucí

Odeslat příspěvekod Milanr1 9. 7. 2020 10:55

Do NB z r. 2000 (kdysi špičkové mobilní 17" WKS s 1 GB RAM) jsem nedávno instaloval Puppy Xenial 32-bit:
http://puppylinux.com/
Po instalaci zabírá v HDD 380 MB, po spuštění v základu čerpá 220 MB RAM.
Provoz je relativně rychlý.
Jedinou překážkou svižnosti je líný HDD; SSD uživatel nechce (pro PATA je příliš drahé).
Přesto se téhle technicky prehistorické WKS nechce vzdát.
Nechal jsem tam i původní W2000 v dual boot (GRUB). Ty jsou ovšem líné jak prase. :-/
Milan
Milanr1
Pokročilý
Uživatelský avatar

Odeslat příspěvekod zivan 9. 7. 2020 11:07

Lenovo Moto G5 Plus, Lenovo Thinkpad X220 (12,5" IPS, i5-2410M, 16GB RAM, 500GB mSata Samsung 850 EVO + 1TB Samsung HDD) + 29" LG 29UM65 + 22" Eizo S2202W
zivan
Junior

Odeslat příspěvekod mikik 9. 7. 2020 15:29

To: Milanr1- Díky za doporučení. Koukal jsem na něj a uvidíme. Trochu mě jen lekla informace o možných problemech s online dokumentaci (určením ke které distribuci patří, když jich je toli!). Uvidíme, jak zafunguje :-)
A ten problém s SSD vs. HDD v rychlosti má stejný :-) navíc to nemá kvůli mini rozměrům 2,5", ale přišlo mi, že to snad ani není 1,7". Ale už je to dlouho, co jsem ho měl otevřený. Takže možná čas mýlí...
To: zivan - jj, bylo to PAE. Proto se mi líbi na doporučeném Puppy, že má distribuci PAE a noPAE. Diky
mikik
Kolemjdoucí

Odeslat příspěvekod m.kv 9. 7. 2020 21:58

Na staré stroje používám https://q4os.org/ - jen nabídka alternativy
m.kv
Ex-moderátor
Uživatelský avatar

Odeslat příspěvekod mikik 9. 7. 2020 22:28

To: m.kv - díky, taky určitě mrknu ...

Tak jsem se dival. Vypada dobre, ale opet problem s no PAE. Ani jimi doporucena verze s noPAE CPU nebeha :-(
(Pentium M viz diskuzni forum - https://www.q4os.org/forum/viewtopic.php?id=3108)
TAkze nic
mikik
Kolemjdoucí

Odeslat příspěvekod m.kv 10. 7. 2020 18:38

Tak držím palce ať najdeš. Klidně pak dej info. Někomu se bude třeba hodit.
m.kv
Ex-moderátor
Uživatelský avatar

Odeslat příspěvekod milsimr 10. 7. 2020 19:31

Ahoj,
doporučil bych zkusit Linux Mint ve verzi 17.

1. Stáhni a vytvoř Live USB médium s LM 17.
2. Při bootu z USB v menu s automatickým odpočtem pak zmáčknout Esc > Tab a zadat příkaz
Kód: Vybrat vše
forcepae --

3. Enter

Tímto postupem bys měl být schopen nabootovat Live edici LM17 a z ní pak provést instalaci OS na disk.

Source: https://forums.linuxmint.com/viewtopic.php?t=168680
Administrátor fóra Živě.cz.
milsimr
Administrátor
Uživatelský avatar

Odeslat příspěvekod meda2016 10. 7. 2020 19:50

LM 17.x už není podporovaná aktualizacemi. Bude problém instalovat SW.
meda2016
Junior

Odeslat příspěvekod milsimr 10. 7. 2020 21:17

Může zkusit i verzi 20 (tj. aktuální), ale na rozdíl od 17 vyzkoušeno nemám; tj. pouze na vlastní pěst.
Administrátor fóra Živě.cz.
milsimr
Administrátor
Uživatelský avatar

Odeslat příspěvekod mikik 11. 7. 2020 11:29

Sorry, vzdal jsem to. UZ nejsem ve veku, kdy me bavilo dokola zkouset a pretaktovavat atd. Toto je presne to, proc me Linux stve - ta "rozredenost". Milion distribuci a k zadne poradna dokumentace. A aby to behalo no PAE tak se kompiluje, zkousi, zase kompiluje atd. Na to uz fakt nemam naladu. Asi jsem dnes pri sobote nas.... , ale takhle to proste s Linuxem je. Porad aby tam clovek neco ladil dodelal. Vzdycky neco nefunguje nebo nebezi jak ma a pak clovek hleda co s tim. Najde, pak zas neco dalsiho a zase hleda ... Linux je vlastne o neustalem hledani >:-(
Diky vsem za rady.
Ten Linux MINT - no nevim Prave proto, ze je to stare zelezo jsem si naivne myslel, ze na to hodim nejaky hodne "lehky" linux, aby to trochu behalo. Tam jsou zadychana i WinXP. No nic. Vypada skvele (jak 1/2 roku stary), ale je to proste stary zelezo :/
mikik
Kolemjdoucí

Odeslat příspěvekod soban 11. 7. 2020 13:39

Mě vždy vše chodilo celkem bez problémů.

Problém dnes bude že je to 32b všechny distribuce už přestávají 32b cpu podporovat takže smůla.
/----------------------------------------\
| Petr Šobáň |
| Olomouc |
\----------------------------------------/
soban
Pokročilý

Odeslat příspěvekod MgX 11. 7. 2020 13:56

Když jsem si kdysi hrál, zkoušel jsem live distribuci Slax. Ta mně vyhovovala i v době, když jsem řešil problém s jedním starým PC. Dala se sosnout jak 32bit verze, tak 64bit.

Na nějakým serveru tehdy byly ke stažení i hodně staré verze (nejen této varianty Linuxu).

Vůbec nechci tvrdit, že Slax pojede...
S pozdravem MgX
MgX
Junior
Uživatelský avatar

Odeslat příspěvekod hunter21 11. 7. 2020 14:19

Na Pentium M som neskúšal, ale dával som ešte na staršie pecko (Pentium III - 800 MHz/ 1 GB RAM) Fedoru 8 a behá na tom celkom svižne, teda neni to ako 8-jadrový 4 gigáč, ale dá sa.
hunter21
Pokročilý

Odeslat příspěvekod mikik 11. 7. 2020 14:50

Njn. Je tam problém s tím PAE. A na to se nabalují problémy zmíněné meda2016. Je to old. Proto jsem myslel, že to vyřeší nějaká distribuce víc zaměřena na old HW. Ale, že narazím na problém s PAE mě fakt nenapadlo. Vyzkoušel jsem už asi 6 distribuci, které slibovaly fungovat noPAE a vždy jsem skončil při bootu. Ještě mi naopak radili, abych přes forcepae PAE aktivoval (myslím tím ty bootovaci postupy :-) )
mikik
Kolemjdoucí

Další stránka

Kdo je online

Uživatelé procházející toto fórum: Žádní registrovaní uživatelé a 0 návštevníků